Extending Qt Creator Manual | CustomExecutableRunConfiguration

Extending Qt Creator Manual 4.5.2

# CustomExecutableRunConfiguration Class

(ProjectExplorer::CustomExecutableRunConfiguration)

Inherits: | ProjectExplorer::RunConfiguration

- List of all members, including inherited members

## Public Functions

| CustomExecutableRunConfiguration(Target *target)
| ~CustomExecutableRunConfiguration() override
QString | executable() const
QString | workingDirectory() const

## Reimplemented Public Functions

virtual Abi | abi() const override
virtual QWidget * | createConfigurationWidget() override
virtual ConfigurationState | ensureConfigured(QString *errorMessage) override
virtual bool | isConfigured() const override
virtual Runnable | runnable() const override
virtual QVariantMap | toMap() const override

- 16 public functions inherited from ProjectExplorer::RunConfiguration
- 2 public functions inherited from ProjectExplorer::StatefulProjectConfiguration
- 13 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | changed()

- 2 signals inherited from ProjectExplorer::RunConfiguration
- 1 signal inherited from ProjectExplorer::StatefulProjectConfiguration
- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Protected Functions

QString | defaultDisplayName() const
void | initialize()

## Reimplemented Protected Functions

virtual bool | fromMap(const QVariantMap &map) override

- 4 protected functions inherited from ProjectExplorer::RunConfiguration
- 2 protected functions inherited from ProjectExplorer::StatefulProjectConfiguration
- 2 protected functions inherited from ProjectExplorer::ProjectConfiguration

### Additional Inherited Members

- 2 static public members inherited from ProjectExplorer::RunConfiguration

## Member Function Documentation

### CustomExecutableRunConfiguration::CustomExecutableRunConfiguration(Target *target)

Default constructs an instance of CustomExecutableRunConfiguration.

### CustomExecutableRunConfiguration::~CustomExecutableRunConfiguration()

Destroys the instance of CustomExecutableRunConfiguration.

### `[override virtual]` Abi CustomExecutableRunConfiguration::abi() const

### `[signal]` void CustomExecutableRunConfiguration::changed()

### `[override virtual]` QWidget *CustomExecutableRunConfiguration::createConfigurationWidget()

### `[protected]` QString CustomExecutableRunConfiguration::defaultDisplayName() const

### `[override virtual]` ConfigurationState CustomExecutableRunConfiguration::ensureConfigured(QString *errorMessage)

### QString CustomExecutableRunConfiguration::executable() const

### `[override virtual protected]` bool CustomExecutableRunConfiguration::fromMap(const QVariantMap &map)

### `[protected]` void CustomExecutableRunConfiguration::initialize()

### `[override virtual]` bool CustomExecutableRunConfiguration::isConfigured() const

### `[override virtual]` Runnable CustomExecutableRunConfiguration::runnable() const

### `[override virtual]` QVariantMap CustomExecutableRunConfiguration::toMap() const

### QString CustomExecutableRunConfiguration::workingDirectory() const